Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Interface GUIText

    public interface GUIText

This interface organizes textual information for the graphical interface.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `ABOUTTITLE` About text.
`static java.lang.String` | `BUTTONBROWSE` Button text for browsing files/directories.
`static java.lang.String` | `BUTTONCANCEL` Button text for canceling actions.
`static java.lang.String` | `BUTTONDROP` Button text for deleting files.
`static java.lang.String` | `BUTTONOK` Button text for confirming actions.
`static java.lang.String` | `BUTTONOPEN` Button text for opening files.
`static java.lang.String` | `CHOPPINGINFO` Whitespaces information.
`static java.lang.String` | `CMD` Input field.
`static java.lang.String` | `CONTRIBUTE1` BaseX Contributors Info.
`static java.lang.String` | `CONTRIBUTE2` BaseX Developer Names.
`static java.lang.String` | `COPYRIGHT` BaseX Copyright.
`static java.lang.String` | `CREATE2TEXT` Database Options.
`static java.lang.String` | `CREATE2TITLE` Dialog Title for Database Options.
`static java.lang.String` | `CREATEATTINDEX` Value Index information.
`static java.lang.String` | `CREATECHOPPING` Whitespaces information.
`static java.lang.String` | `CREATEENTITIES` Entities information.
`static java.lang.String` | `CREATEFTINDEX` Word Index information.
`static java.lang.String` | `CREATETITLE` Dialog title for creating a database.
`static java.lang.String` | `CREATETXTINDEX` Value Index information.
`static java.lang.String` | `CREATEWORDINDEX` Word Index information.
`static java.lang.String` | `DATABASEPATH` Database Path.
`static java.lang.String` | `DELETECONF` Dialog title for deleting nodes.
`static java.lang.String` | `DELETETITLE` Dialog title for deleting nodes.
`static java.lang.String` | `DEVELOPER` BaseX Developer Info.
`static java.lang.String` | `DROPCONF` Dialog title for dropping a database.
`static java.lang.String` | `DROPTITLE` Dialog title for dropping a database.
`static java.lang.String[]` | `EDITKIND` Dialog Title for updating text.
`static java.lang.String` | `EDITTEXT` Dialog Title for updating text.
`static java.lang.String` | `EDITTITLE` Dialog Title for updating document data.
`static java.lang.String` | `ENTITIESINFO` Entities information.
`static java.lang.String` | `EXECTEXT` Title of Execute Button.
`static java.lang.String` | `FAALIAS` Anti-Aliasing information.
`static java.lang.String` | `FCTITLE` Dialog title for choosing a directory.
`static java.lang.String` | `FILTERING` Interactive Filtering.
`static java.lang.String` | `FILTERRT` Interactive Filtering.
`static java.lang.String` | `FILTERTT` Filter Tooltip.
`static java.lang.String` | `FONTTEXT` Font preview text.
`static java.lang.String` | `FONTTITLE` Dialog title for choosing a font.
`static java.lang.String[]` | `FONTTYPES` Predefined font types.
`static java.lang.String[]` | `FSIZES` Predefined font sizes.
`static java.lang.String` | `FTINDEXINFO` Fulltext Index information.
`static java.lang.String` | `HELP` Input field.
`static byte[]` | `HELPBROWSE` Help String.
`static byte[]` | `HELPCANCEL` Help String.
`static byte[]` | `HELPCAT` Help String.
`static byte[]` | `HELPCATINPUT` Help String.
`static byte[]` | `HELPCMD` Help Dialog.
`static byte[]` | `HELPCOLORS` Help string.
`static byte[]` | `HELPCONT` Help String.
`static byte[]` | `HELPDBPATH` Help String.
`static byte[]` | `HELPDROP` Help String.
`static byte[]` | `HELPDROPDB` Help String.
`static byte[]` | `HELPDS` Help String.
`static byte[]` | `HELPEXEC` Help String.
`static byte[]` | `HELPFALIAS` Help String.
`static byte[]` | `HELPFILTER` Help String.
`static byte[]` | `HELPFILTERRT` Help String.
`static byte[]` | `HELPFOCUS` Help String.
`static byte[]` | `HELPFONT` Help String.
`static byte[]` | `HELPFSALL` Help String.
`static byte[]` | `HELPFSMAX` Help String.
`static byte[]` | `HELPFSNAME` Help String.
`static byte[]` | `HELPFSPATH` Help String.
`static java.lang.String` | `HELPHIST` Help String.
`static byte[]` | `HELPINFO` Help String.
`static byte[]` | `HELPMAP` Help String.
`static byte[]` | `HELPMAPALIGN` Help String.
`static byte[]` | `HELPMAPLAYOUT` Help String.
`static byte[]` | `HELPMAPSIMPLE` Help String.
`static byte[]` | `HELPMEM` Help String.
`static byte[]` | `HELPMETA` Help String.
`static byte[]` | `HELPMMEM` Help string.
`static byte[]` | `HELPMODE` Help String.
`static java.lang.String` | `HELPMODEFILT` Help String.
`static byte[]` | `HELPMOVER` Help String.
`static byte[]` | `HELPNAMES` Help String.
`static byte[]` | `HELPOK` Help String.
`static byte[]` | `HELPOPEN` Help String.
`static byte[]` | `HELPOPENDB` Help String.
`static byte[]` | `HELPOPENINFO` Help string.
`static byte[][]` | `HELPQUERYMODE` Help String.
`static byte[]` | `HELPQUERYRT` Help String.
`static byte[][]` | `HELPSEARCH` Help String.
`static byte[]` | `HELPSEARCHCAT` Help String.
`static byte[]` | `HELPSEARCHFS` Help Dialog.
`static byte[]` | `HELPSEARCHXML` Help Dialog.
`static byte[]` | `HELPSIMPLEFD` Help String.
`static byte[]` | `HELPSTAT` Help String.
`static byte[]` | `HELPSTOP` Help String.
`static byte[]` | `HELPTABLE` Help String.
`static byte[]` | `HELPTABLEHEAD` Help String.
`static byte[]` | `HELPTEXT` Help String.
`static byte[]` | `HELPTOXPATH` Help String.
`static byte[]` | `HELPTOXQUERY` Help String.
`static byte[]` | `HELPTREE` Help String.
`static java.lang.String` | `HELPVIEW` Internal name of the Help View.
`static java.lang.String` | `IMGBASEX` Name of application logo.
`static java.lang.String` | `IMGERROR` Name of application logo.
`static java.lang.String` | `IMGICON` Name of application logo.
`static java.lang.String` | `IMGLOADERR` Error information for loading images.
`static java.lang.String` | `IMGLOGO` Name of application logo.
`static java.lang.String` | `IMGNOTFOUND` Error information for loading images.
`static java.lang.String` | `IMPORTALL` Import Options.
`static java.lang.String` | `IMPORTALLINFO` Import Options.
`static java.lang.String` | `IMPORTCONT` Import Options.
`static java.lang.String` | `IMPORTDIR` Import Options.
`static java.lang.String` | `IMPORTFSEXCLUDE` Import Options.
`static java.lang.String[]` | `IMPORTFSMAX` Import Options.
`static java.lang.String` | `IMPORTFSMAXINFO` Import Options.
`static int[]` | `IMPORTFSMAXSIZE` Import Options.
`static java.lang.String` | `IMPORTFSTEXT` Import Options.
`static java.lang.String` | `IMPORTFSTEXT1` Import Options.
`static java.lang.String` | `IMPORTFSTEXT2` Import Options.
`static java.lang.String` | `IMPORTFSTITLE` Dialog Title for Import Options.
`static java.lang.String` | `IMPORTFSTYPES` Import Options.
`static java.lang.String` | `IMPORTFTINDEX` Import Options.
`static java.lang.String` | `IMPORTMETA` Import Options.
`static java.lang.String` | `IMPORTSAVE` Import Options.
`static java.lang.String` | `INDEXINFO` Value Index information.
`static java.lang.String` | `INFOTITLE` Title of Information Dialog.
`static java.lang.String` | `INFOVIEW` Internal name of the Info View.
`static java.lang.String` | `INSERTTITLE` Dialog Title for inserting new data.
`static java.lang.String` | `LAYOUTCLOSED` This layout is shown when no database is opened.
`static java.lang.String` | `LAYOUTOPENED` Default GUI Layout.
`static java.lang.String` | `LICENSE` BaseX License.
`static byte[]` | `MAPBINARY` Binary file.
`static java.lang.String` | `MAPFTERROR` Error information for database parsing failures.
`static java.lang.String[]` | `MAPLAYOUTCHOICE` Predefined number of layouts.
`static java.lang.String` | `MAPLAYOUTTITLE` Dialog title for treemap design.
`static java.lang.String` | `MAPPROP` Layout information.
`static java.lang.String` | `MAPSIMPLE` Simple Map Layout.
`static java.lang.String` | `MAPVIEW` Internal name of the Map View.
`static java.lang.String` | `MAPWELCOME` Welcome Information.
`static java.lang.String` | `MAPWELCOMETEXT` Welcome Text.
`static java.lang.String` | `MEMHELP` Memory help.
`static java.lang.String` | `MEMRESERVED` Memory information.
`static java.lang.String` | `MEMTITLE` Title of Information Dialog.
`static java.lang.String` | `MEMTOTAL` Memory information.
`static java.lang.String` | `MEMUSED` Memory information.
`static java.lang.String[]` | `MENUBAR` Top menu entries.
`static java.lang.Object[][]` | `MENUITEMS` Two-dimensional Menu entries, containing the menu item commands.
`static java.lang.String` | `MMEM` Main-Memory Mode.
`static java.lang.String` | `MMEMINFO` Main-Memory Mode.
`static java.lang.String` | `NL` New Line String.
`static java.lang.String` | `NODBQUESTION` Dialog title for deleting nodes.
`static java.lang.String` | `NODBTITLE` Dialog title for deleting nodes.
`static java.lang.String` | `NOTABLE` Help String.
`static java.lang.String` | `OPENNODB` Open Dialog - No database.
`static java.lang.String` | `OPENNODBINFO` Open Dialog - No database information.
`static java.lang.String` | `OPENTITLE` Dialog title for opening a database.
`static GUICommands[]` | `POPUP` Context menu entries.
`static java.lang.String` | `PREFFOCUS` Focus.
`static java.lang.String` | `PREFINTER` Interactions.
`static java.lang.String` | `PREFNAMES` Name Attributes.
`static java.lang.String` | `PREFSTITLE` Dialog Title for Import Options.
`static java.lang.String` | `QUERYVIEW` Internal name of the Search View.
`static java.lang.String` | `RESULTCLIP` Clipboard copy information.
`static java.lang.String` | `RESULTFIND` Text find information.
`static java.lang.String` | `SCHEMABLUE` Color schema information.
`static java.lang.String` | `SCHEMAGREEN` Color schema information.
`static java.lang.String` | `SCHEMARED` Color schema information.
`static java.lang.String` | `SCHEMATITLE` Dialog title for treemap color schema.
`static java.lang.String` | `SEARCH` Input field.
`static java.lang.String[]` | `SEARCHMODE` Text field mode - Search Modes.
`static java.lang.String` | `SIMPLEFD` Simple File Dialog.
`static java.lang.String` | `STATUSMAP1` Info text for calculating map.
`static java.lang.String` | `STATUSMAP2` Info text for painting map.
`static java.lang.String` | `STATUSOK` Default message.
`static java.lang.String` | `STATUSPATH` Path information.
`static java.lang.String` | `STATUSTIME` Info text.
`static java.lang.String` | `STATUSWAIT` Wait text.
`static java.lang.String` | `TABLEVIEW` Internal name of the Table View.
`static java.lang.String` | `TEXTVIEW` Internal name of the Text View.
`static GUICommands[]` | `TOOLBAR` Toolbar entries, containing the button commands.
`static java.lang.String` | `TREEVIEW` Internal name of the Tree View.
`static java.lang.String` | `TTFILTER` Menu Tooltip.
`static java.lang.String` | `TTSEARCHMODE` Menu Tooltip.
`static java.lang.String` | `WAIT1` Waiting info.
`static java.lang.String` | `WAIT2` Waiting info.
`static java.lang.String` | `WARNINGTITLE` Title of Warning Dialog.
`static java.lang.String` | `WORDINDEXINFO` Fulltext Index information.
`static java.lang.String` | `XPATHTEXT` Title of XPath Button.

Field Detail

### ABOUTTITLE

    static final java.lang.String ABOUTTITLE

  About text.

  See Also:
    Constant Field Values

### BUTTONBROWSE

    static final java.lang.String BUTTONBROWSE

  Button text for browsing files/directories.

  See Also:
    Constant Field Values

### BUTTONCANCEL

    static final java.lang.String BUTTONCANCEL

  Button text for canceling actions.

  See Also:
    Constant Field Values

### BUTTONDROP

    static final java.lang.String BUTTONDROP

  Button text for deleting files.

  See Also:
    Constant Field Values

### BUTTONOK

    static final java.lang.String BUTTONOK

  Button text for confirming actions.

  See Also:
    Constant Field Values

### BUTTONOPEN

    static final java.lang.String BUTTONOPEN

  Button text for opening files.

  See Also:
    Constant Field Values

### CHOPPINGINFO

    static final java.lang.String CHOPPINGINFO

  Whitespaces information.

  See Also:
    Constant Field Values

### CMD

    static final java.lang.String CMD

  Input field.

  See Also:
    Constant Field Values

### CONTRIBUTE1

    static final java.lang.String CONTRIBUTE1

  BaseX Contributors Info.

  See Also:
    Constant Field Values

### CONTRIBUTE2

    static final java.lang.String CONTRIBUTE2

  BaseX Developer Names.

  See Also:
    Constant Field Values

### COPYRIGHT

    static final java.lang.String COPYRIGHT

  BaseX Copyright.

  See Also:
    Constant Field Values

### CREATE2TEXT

    static final java.lang.String CREATE2TEXT

  Database Options.

  See Also:
    Constant Field Values

### CREATE2TITLE

    static final java.lang.String CREATE2TITLE

  Dialog Title for Database Options.

  See Also:
    Constant Field Values

### CREATEATTINDEX

    static final java.lang.String CREATEATTINDEX

  Value Index information.

  See Also:
    Constant Field Values

### CREATECHOPPING

    static final java.lang.String CREATECHOPPING

  Whitespaces information.

  See Also:
    Constant Field Values

### CREATEENTITIES

    static final java.lang.String CREATEENTITIES

  Entities information.

  See Also:
    Constant Field Values

### CREATEFTINDEX

    static final java.lang.String CREATEFTINDEX

  Word Index information.

  See Also:
    Constant Field Values

### CREATETITLE

    static final java.lang.String CREATETITLE

  Dialog title for creating a database.

  See Also:
    Constant Field Values

### CREATETXTINDEX

    static final java.lang.String CREATETXTINDEX

  Value Index information.

  See Also:
    Constant Field Values

### CREATEWORDINDEX

    static final java.lang.String CREATEWORDINDEX

  Word Index information.

  See Also:
    Constant Field Values

### DATABASEPATH

    static final java.lang.String DATABASEPATH

  Database Path.

  See Also:
    Constant Field Values

### DELETECONF

    static final java.lang.String DELETECONF

  Dialog title for deleting nodes.

  See Also:
    Constant Field Values

### DELETETITLE

    static final java.lang.String DELETETITLE

  Dialog title for deleting nodes.

  See Also:
    Constant Field Values

### DEVELOPER

    static final java.lang.String DEVELOPER

  BaseX Developer Info.

  See Also:
    Constant Field Values

### DROPCONF

    static final java.lang.String DROPCONF

  Dialog title for dropping a database.

### DROPTITLE

    static final java.lang.String DROPTITLE

  Dialog title for dropping a database.

  See Also:
    Constant Field Values

### EDITKIND

    static final java.lang.String[] EDITKIND

  Dialog Title for updating text.

### EDITTEXT

    static final java.lang.String EDITTEXT

  Dialog Title for updating text.

  See Also:
    Constant Field Values

### EDITTITLE

    static final java.lang.String EDITTITLE

  Dialog Title for updating document data.

  See Also:
    Constant Field Values

### ENTITIESINFO

    static final java.lang.String ENTITIESINFO

  Entities information.

  See Also:
    Constant Field Values

### EXECTEXT

    static final java.lang.String EXECTEXT

  Title of Execute Button.

  See Also:
    Constant Field Values

### FAALIAS

    static final java.lang.String FAALIAS

  Anti-Aliasing information.

  See Also:
    Constant Field Values

### FCTITLE

    static final java.lang.String FCTITLE

  Dialog title for choosing a directory.

  See Also:
    Constant Field Values

### FILTERING

    static final java.lang.String FILTERING

  Interactive Filtering.

  See Also:
    Constant Field Values

### FILTERRT

    static final java.lang.String FILTERRT

  Interactive Filtering.

  See Also:
    Constant Field Values

### FILTERTT

    static final java.lang.String FILTERTT

  Filter Tooltip.

  See Also:
    Constant Field Values

### FONTTEXT

    static final java.lang.String FONTTEXT

  Font preview text.

  See Also:
    Constant Field Values

### FONTTITLE

    static final java.lang.String FONTTITLE

  Dialog title for choosing a font.

  See Also:
    Constant Field Values

### FONTTYPES

    static final java.lang.String[] FONTTYPES

  Predefined font types.

### FSIZES

    static final java.lang.String[] FSIZES

  Predefined font sizes.

### FTINDEXINFO

    static final java.lang.String FTINDEXINFO

  Fulltext Index information.

  See Also:
    Constant Field Values

### HELP

    static final java.lang.String HELP

  Input field.

  See Also:
    Constant Field Values

### HELPBROWSE

    static final byte[] HELPBROWSE

  Help String.

### HELPCANCEL

    static final byte[] HELPCANCEL

  Help String.

### HELPCAT

    static final byte[] HELPCAT

  Help String.

### HELPCATINPUT

    static final byte[] HELPCATINPUT

  Help String.

### HELPCMD

    static final byte[] HELPCMD

  Help Dialog.

### HELPCOLORS

    static final byte[] HELPCOLORS

  Help string.

### HELPCONT

    static final byte[] HELPCONT

  Help String.

### HELPDBPATH

    static final byte[] HELPDBPATH

  Help String.

### HELPDROP

    static final byte[] HELPDROP

  Help String.

### HELPDROPDB

    static final byte[] HELPDROPDB

  Help String.

### HELPDS

    static final byte[] HELPDS

  Help String.

### HELPEXEC

    static final byte[] HELPEXEC

  Help String.

### HELPFALIAS

    static final byte[] HELPFALIAS

  Help String.

### HELPFILTER

    static final byte[] HELPFILTER

  Help String.

### HELPFILTERRT

    static final byte[] HELPFILTERRT

  Help String.

### HELPFOCUS

    static final byte[] HELPFOCUS

  Help String.

### HELPFONT

    static final byte[] HELPFONT

  Help String.

### HELPFSALL

    static final byte[] HELPFSALL

  Help String.

### HELPFSMAX

    static final byte[] HELPFSMAX

  Help String.

### HELPFSNAME

    static final byte[] HELPFSNAME

  Help String.

### HELPFSPATH

    static final byte[] HELPFSPATH

  Help String.

### HELPHIST

    static final java.lang.String HELPHIST

  Help String.

  See Also:
    Constant Field Values

### HELPINFO

    static final byte[] HELPINFO

  Help String.

### HELPMAP

    static final byte[] HELPMAP

  Help String.

### HELPMAPALIGN

    static final byte[] HELPMAPALIGN

  Help String.

### HELPMAPLAYOUT

    static final byte[] HELPMAPLAYOUT

  Help String.

### HELPMAPSIMPLE

    static final byte[] HELPMAPSIMPLE

  Help String.

### HELPMEM

    static final byte[] HELPMEM

  Help String.

### HELPMETA

    static final byte[] HELPMETA

  Help String.

### HELPMMEM

    static final byte[] HELPMMEM

  Help string.

### HELPMODE

    static final byte[] HELPMODE

  Help String.

### HELPMODEFILT

    static final java.lang.String HELPMODEFILT

  Help String.

  See Also:
    Constant Field Values

### HELPMOVER

    static final byte[] HELPMOVER

  Help String.

### HELPNAMES

    static final byte[] HELPNAMES

  Help String.

### HELPOK

    static final byte[] HELPOK

  Help String.

### HELPOPEN

    static final byte[] HELPOPEN

  Help String.

### HELPOPENDB

    static final byte[] HELPOPENDB

  Help String.

### HELPOPENINFO

    static final byte[] HELPOPENINFO

  Help string.

### HELPQUERYMODE

    static final byte[][] HELPQUERYMODE

  Help String.

### HELPQUERYRT

    static final byte[] HELPQUERYRT

  Help String.

### HELPSEARCH

    static final byte[][] HELPSEARCH

  Help String.

### HELPSEARCHCAT

    static final byte[] HELPSEARCHCAT

  Help String.

### HELPSEARCHFS

    static final byte[] HELPSEARCHFS

  Help Dialog.

### HELPSEARCHXML

    static final byte[] HELPSEARCHXML

  Help Dialog.

### HELPSIMPLEFD

    static final byte[] HELPSIMPLEFD

  Help String.

### HELPSTAT

    static final byte[] HELPSTAT

  Help String.

### HELPSTOP

    static final byte[] HELPSTOP

  Help String.

### HELPTABLE

    static final byte[] HELPTABLE

  Help String.

### HELPTABLEHEAD

    static final byte[] HELPTABLEHEAD

  Help String.

### HELPTEXT

    static final byte[] HELPTEXT

  Help String.

### HELPTOXPATH

    static final byte[] HELPTOXPATH

  Help String.

### HELPTOXQUERY

    static final byte[] HELPTOXQUERY

  Help String.

### HELPTREE

    static final byte[] HELPTREE

  Help String.

### HELPVIEW

    static final java.lang.String HELPVIEW

  Internal name of the Help View.

  See Also:
    Constant Field Values

### IMGBASEX

    static final java.lang.String IMGBASEX

  Name of application logo.

  See Also:
    Constant Field Values

### IMGERROR

    static final java.lang.String IMGERROR

  Name of application logo.

  See Also:
    Constant Field Values

### IMGICON

    static final java.lang.String IMGICON

  Name of application logo.

  See Also:
    Constant Field Values

### IMGLOADERR

    static final java.lang.String IMGLOADERR

  Error information for loading images.

  See Also:
    Constant Field Values

### IMGLOGO

    static final java.lang.String IMGLOGO

  Name of application logo.

  See Also:
    Constant Field Values

### IMGNOTFOUND

    static final java.lang.String IMGNOTFOUND

  Error information for loading images.

  See Also:
    Constant Field Values

### IMPORTALL

    static final java.lang.String IMPORTALL

  Import Options.

  See Also:
    Constant Field Values

### IMPORTALLINFO

    static final java.lang.String IMPORTALLINFO

  Import Options.

  See Also:
    Constant Field Values

### IMPORTCONT

    static final java.lang.String IMPORTCONT

  Import Options.

  See Also:
    Constant Field Values

### IMPORTDIR

    static final java.lang.String IMPORTDIR

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSEXCLUDE

    static final java.lang.String IMPORTFSEXCLUDE

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSMAX

    static final java.lang.String[] IMPORTFSMAX

  Import Options.

### IMPORTFSMAXINFO

    static final java.lang.String IMPORTFSMAXINFO

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSMAXSIZE

    static final int[] IMPORTFSMAXSIZE

  Import Options.

### IMPORTFSTEXT

    static final java.lang.String IMPORTFSTEXT

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSTEXT1

    static final java.lang.String IMPORTFSTEXT1

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSTEXT2

    static final java.lang.String IMPORTFSTEXT2

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFSTITLE

    static final java.lang.String IMPORTFSTITLE

  Dialog Title for Import Options.

  See Also:
    Constant Field Values

### IMPORTFSTYPES

    static final java.lang.String IMPORTFSTYPES

  Import Options.

  See Also:
    Constant Field Values

### IMPORTFTINDEX

    static final java.lang.String IMPORTFTINDEX

  Import Options.

  See Also:
    Constant Field Values

### IMPORTMETA

    static final java.lang.String IMPORTMETA

  Import Options.

  See Also:
    Constant Field Values

### IMPORTSAVE

    static final java.lang.String IMPORTSAVE

  Import Options.

  See Also:
    Constant Field Values

### INDEXINFO

    static final java.lang.String INDEXINFO

  Value Index information.

  See Also:
    Constant Field Values

### INFOTITLE

    static final java.lang.String INFOTITLE

  Title of Information Dialog.

  See Also:
    Constant Field Values

### INFOVIEW

    static final java.lang.String INFOVIEW

  Internal name of the Info View.

  See Also:
    Constant Field Values

### INSERTTITLE

    static final java.lang.String INSERTTITLE

  Dialog Title for inserting new data.

  See Also:
    Constant Field Values

### LAYOUTCLOSED

    static final java.lang.String LAYOUTCLOSED

  This layout is shown when no database is opened.

  See Also:
    Constant Field Values

### LAYOUTOPENED

    static final java.lang.String LAYOUTOPENED

  Default GUI Layout. The layout is formatted as follows: The character 'H' or 'V' adds a new horizontal or vertical level, and a level is closed again with the '-' character. All views are separated with spaces, and all views must be specified in this layout. This layout is displayed as soon as a database is opened.

  See Also:
    Constant Field Values

### LICENSE

    static final java.lang.String LICENSE

  BaseX License.

  See Also:
    Constant Field Values

### MAPBINARY

    static final byte[] MAPBINARY

  Binary file.

### MAPFTERROR

    static final java.lang.String MAPFTERROR

  Error information for database parsing failures.

  See Also:
    Constant Field Values

### MAPLAYOUTCHOICE

    static final java.lang.String[] MAPLAYOUTCHOICE

  Predefined number of layouts.

### MAPLAYOUTTITLE

    static final java.lang.String MAPLAYOUTTITLE

  Dialog title for treemap design.

  See Also:
    Constant Field Values

### MAPPROP

    static final java.lang.String MAPPROP

  Layout information.

  See Also:
    Constant Field Values

### MAPSIMPLE

    static final java.lang.String MAPSIMPLE

  Simple Map Layout.

  See Also:
    Constant Field Values

### MAPVIEW

    static final java.lang.String MAPVIEW

  Internal name of the Map View.

  See Also:
    Constant Field Values

### MAPWELCOME

    static final java.lang.String MAPWELCOME

  Welcome Information.

  See Also:
    Constant Field Values

### MAPWELCOMETEXT

    static final java.lang.String MAPWELCOMETEXT

  Welcome Text.

### MEMHELP

    static final java.lang.String MEMHELP

  Memory help.

### MEMRESERVED

    static final java.lang.String MEMRESERVED

  Memory information.

  See Also:
    Constant Field Values

### MEMTITLE

    static final java.lang.String MEMTITLE

  Title of Information Dialog.

  See Also:
    Constant Field Values

### MEMTOTAL

    static final java.lang.String MEMTOTAL

  Memory information.

  See Also:
    Constant Field Values

### MEMUSED

    static final java.lang.String MEMUSED

  Memory information.

  See Also:
    Constant Field Values

### MENUBAR

    static final java.lang.String[] MENUBAR

  Top menu entries.

### MENUITEMS

    static final java.lang.Object[][] MENUITEMS

  Two-dimensional Menu entries, containing the menu item commands.

### MMEM

    static final java.lang.String MMEM

  Main-Memory Mode.

  See Also:
    Constant Field Values

### MMEMINFO

    static final java.lang.String MMEMINFO

  Main-Memory Mode.

  See Also:
    Constant Field Values

### NL

    static final java.lang.String NL

  New Line String.

### NODBQUESTION

    static final java.lang.String NODBQUESTION

  Dialog title for deleting nodes.

  See Also:
    Constant Field Values

### NODBTITLE

    static final java.lang.String NODBTITLE

  Dialog title for deleting nodes.

  See Also:
    Constant Field Values

### NOTABLE

    static final java.lang.String NOTABLE

  Help String.

  See Also:
    Constant Field Values

### OPENNODB

    static final java.lang.String OPENNODB

  Open Dialog - No database.

  See Also:
    Constant Field Values

### OPENNODBINFO

    static final java.lang.String OPENNODBINFO

  Open Dialog - No database information.

  See Also:
    Constant Field Values

### OPENTITLE

    static final java.lang.String OPENTITLE

  Dialog title for opening a database.

  See Also:
    Constant Field Values

### POPUP

    static final GUICommands[] POPUP

  Context menu entries.

### PREFFOCUS

    static final java.lang.String PREFFOCUS

  Focus.

  See Also:
    Constant Field Values

### PREFINTER

    static final java.lang.String PREFINTER

  Interactions.

  See Also:
    Constant Field Values

### PREFNAMES

    static final java.lang.String PREFNAMES

  Name Attributes.

  See Also:
    Constant Field Values

### PREFSTITLE

    static final java.lang.String PREFSTITLE

  Dialog Title for Import Options.

  See Also:
    Constant Field Values

### QUERYVIEW

    static final java.lang.String QUERYVIEW

  Internal name of the Search View.

  See Also:
    Constant Field Values

### RESULTCLIP

    static final java.lang.String RESULTCLIP

  Clipboard copy information.

  See Also:
    Constant Field Values

### RESULTFIND

    static final java.lang.String RESULTFIND

  Text find information.

  See Also:
    Constant Field Values

### SCHEMABLUE

    static final java.lang.String SCHEMABLUE

  Color schema information.

  See Also:
    Constant Field Values

### SCHEMAGREEN

    static final java.lang.String SCHEMAGREEN

  Color schema information.

  See Also:
    Constant Field Values

### SCHEMARED

    static final java.lang.String SCHEMARED

  Color schema information.

  See Also:
    Constant Field Values

### SCHEMATITLE

    static final java.lang.String SCHEMATITLE

  Dialog title for treemap color schema.

  See Also:
    Constant Field Values

### SEARCH

    static final java.lang.String SEARCH

  Input field.

  See Also:
    Constant Field Values

### SEARCHMODE

    static final java.lang.String[] SEARCHMODE

  Text field mode - Search Modes.

### SIMPLEFD

    static final java.lang.String SIMPLEFD

  Simple File Dialog.

  See Also:
    Constant Field Values

### STATUSMAP1

    static final java.lang.String STATUSMAP1

  Info text for calculating map.

  See Also:
    Constant Field Values

### STATUSMAP2

    static final java.lang.String STATUSMAP2

  Info text for painting map.

  See Also:
    Constant Field Values

### STATUSOK

    static final java.lang.String STATUSOK

  Default message.

  See Also:
    Constant Field Values

### STATUSPATH

    static final java.lang.String STATUSPATH

  Path information.

  See Also:
    Constant Field Values

### STATUSTIME

    static final java.lang.String STATUSTIME

  Info text.

  See Also:
    Constant Field Values

### STATUSWAIT

    static final java.lang.String STATUSWAIT

  Wait text.

  See Also:
    Constant Field Values

### TABLEVIEW

    static final java.lang.String TABLEVIEW

  Internal name of the Table View.

  See Also:
    Constant Field Values

### TEXTVIEW

    static final java.lang.String TEXTVIEW

  Internal name of the Text View.

  See Also:
    Constant Field Values

### TOOLBAR

    static final GUICommands[] TOOLBAR

  Toolbar entries, containing the button commands.

### TREEVIEW

    static final java.lang.String TREEVIEW

  Internal name of the Tree View.

  See Also:
    Constant Field Values

### TTFILTER

    static final java.lang.String TTFILTER

  Menu Tooltip.

  See Also:
    Constant Field Values

### TTSEARCHMODE

    static final java.lang.String TTSEARCHMODE

  Menu Tooltip.

  See Also:
    Constant Field Values

### WAIT1

    static final java.lang.String WAIT1

  Waiting info.

  See Also:
    Constant Field Values

### WAIT2

    static final java.lang.String WAIT2

  Waiting info.

  See Also:
    Constant Field Values

### WARNINGTITLE

    static final java.lang.String WARNINGTITLE

  Title of Warning Dialog.

  See Also:
    Constant Field Values

### WORDINDEXINFO

    static final java.lang.String WORDINDEXINFO

  Fulltext Index information.

  See Also:
    Constant Field Values

### XPATHTEXT

    static final java.lang.String XPATHTEXT

  Title of XPath Button.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD